Bug 1687416 - python-breathe: Remove (sub)packages from Fedora 31+: python2-breathe
Summary: python-breathe: Remove (sub)packages from Fedora 31+: python2-breathe
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-breathe
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-03-11 13:01 UTC by Miro Hrončok
Modified: 2019-03-27 16:57 UTC (History)
7 users (show)

Fixed In Version: python-breathe-4.7.3-7.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-27 16:57:50 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-03-11 13:01:10 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-breathe were marked for removal:

 * python2-breathe

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 31).

You may do it for Fedora 30 as well before the Final Freeze, but please check if there are no dependent packages.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-03-18 12:42:59 UTC
The docs won't build. Shall I skip them?

Comment 2 Miro Hrončok 2019-03-18 12:43:29 UTC
sphinx-build -b html -P -d build/doctrees   source build/html
Running Sphinx v2.0.0b1
BUILDSTDERR: WARNING: Support for evaluating Python 2 syntax is deprecated and will be removed in Sphinx 4.0. Convert /builddir/build/BUILD/breathe-4.7.3/documentation/source/conf.py to Python 3 syntax.
BUILDSTDERR: fatal: not a git repository (or any of the parent directories): .git
making output directory... done
building [mo]: targets for 0 po files that are out of date
building [html]: targets for 36 source files that are out of date
updating environment: 36 added, 0 changed, 0 removed
reading sources... [  2%] autofile
reading sources... [  5%] autoindex
reading sources... [  8%] class
reading sources... [ 11%] codeguide
reading sources... [ 13%] contributing
reading sources... [ 16%] credits
reading sources... [ 19%] customcss
reading sources... [ 22%] define
reading sources... [ 25%] differences
reading sources... [ 27%] directives
reading sources... [ 30%] domains
reading sources... [ 33%] doxygen
BUILDSTDERR: /usr/lib/python3.7/site-packages/sphinx/util/docutils.py:312: RemovedInSphinx30Warning: function based directive support is now deprecated. Use class based directive instead.
BUILDSTDERR:   RemovedInSphinx30Warning)
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/autoindex.rst:23: WARNING: Duplicate declaration, void AutoClassTest::member()
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/autoindex.rst:23: WARNING: Duplicate declaration, void AutoClassTest::anotherMember()
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/autoindex.rst:23: WARNING: Duplicate declaration, AutoClassTest
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:73: WARNING: Too many template argument lists compared to parameter lists. Argument lists: 1, Parameter lists: 0, Extra empty parameters lists prepended: 1. Declaration:
BUILDSTDERR: 	TemplateClass<T *>
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:106: WARNING: Duplicate declaration, Nutshell
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:126: WARNING: Duplicate declaration, void Nutshell::crack(Tool tool)
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:126: WARNING: Duplicate declaration, bool Nutshell::isCracked()
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:126: WARNING: Duplicate declaration, Nutshell
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:166: WARNING: Duplicate declaration, Nutshell
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, Nutshell::kHammer
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, Nutshell::kNutCrackers
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, Nutshell::kNinjaThrowingStars
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, Nutshell::Tool
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, Nutshell::Nutshell()
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, Nutshell::~Nutshell()
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, void Nutshell::crack(Tool tool)
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, bool Nutshell::isCracked()
BUILDSTDERR: /builddir/build/BUILD/breathe-4.7.3/documentation/source/class.rst:217: WARNING: Duplicate declaration, Nutshell
> /usr/lib/python3.7/site-packages/sphinx/domains/cpp.py(6248)parse_declaration()
-> raise Exception('Internal error, unknown directiveType "%s".' % directiveType)
BUILDSTDERR: (Pdb) Exception occurred while building, starting debugger:
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/cmd/build.py", line 284, in build_main
BUILDSTDERR:     app.build(args.force_all, filenames)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/application.py", line 338, in build
BUILDSTDERR:     self.builder.build_update()
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/builders/__init__.py", line 326, in build_update
BUILDSTDERR:     len(to_build))
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/builders/__init__.py", line 339, in build
BUILDSTDERR:     updated_docnames = set(self.read())
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/builders/__init__.py", line 445, in read
BUILDSTDERR:     self._read_serial(docnames)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/builders/__init__.py", line 467, in _read_serial
BUILDSTDERR:     self.read_doc(docname)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/builders/__init__.py", line 511, in read_doc
BUILDSTDERR:     doctree = read_doc(self.app, self.env, self.env.doc2path(docname))
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/io.py", line 324, in read_doc
BUILDSTDERR:     pub.publish()
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/core.py", line 217, in publish
BUILDSTDERR:     self.settings)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/io.py", line 117, in read
BUILDSTDERR:     self.parse()
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/readers/__init__.py", line 78, in parse
BUILDSTDERR:     self.parser.parse(self.input, document)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/parsers.py", line 94, in parse
BUILDSTDERR:     self.statemachine.run(inputlines, document, inliner=self.inliner)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 171, in run
BUILDSTDERR:     input_source=document['source'])
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/statemachine.py", line 239, in run
BUILDSTDERR:     context, state, transitions)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/statemachine.py", line 460, in check_line
BUILDSTDERR:     return method(match, context, next_state)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 2753, in underline
BUILDSTDERR:     self.section(title, source, style, lineno - 1, messages)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 327, in section
BUILDSTDERR:     self.new_subsection(title, lineno, messages)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 395, in new_subsection
BUILDSTDERR:     node=section_node, match_titles=True)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 282, in nested_parse
BUILDSTDERR:     node=node, match_titles=match_titles)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 196, in run
BUILDSTDERR:     results = StateMachineWS.run(self, input_lines, input_offset)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/statemachine.py", line 239, in run
BUILDSTDERR:     context, state, transitions)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/statemachine.py", line 460, in check_line
BUILDSTDERR:     return method(match, context, next_state)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 2753, in underline
BUILDSTDERR:     self.section(title, source, style, lineno - 1, messages)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 327, in section
BUILDSTDERR:     self.new_subsection(title, lineno, messages)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 395, in new_subsection
BUILDSTDERR:     node=section_node, match_titles=True)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 282, in nested_parse
BUILDSTDERR:     node=node, match_titles=match_titles)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 196, in run
BUILDSTDERR:     results = StateMachineWS.run(self, input_lines, input_offset)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/statemachine.py", line 239, in run
BUILDSTDERR:     context, state, transitions)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/statemachine.py", line 460, in check_line
BUILDSTDERR:     return method(match, context, next_state)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 2326, in explicit_markup
BUILDSTDERR:     nodelist, blank_finish = self.explicit_construct(match)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 2338, in explicit_construct
BUILDSTDERR:     return method(self, expmatch)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 2081, in directive
BUILDSTDERR:     directive_class, match, type_name, option_presets)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/docutils/parsers/rst/states.py", line 2130, in run_directive
BUILDSTDERR:     result = directive_instance.run()
BUILDSTDERR:   File "../breathe/directive/index.py", line 90, in run
BUILDSTDERR:     return self.handle_contents(project_info)
BUILDSTDERR:   File "../breathe/directive/index.py", line 59, in handle_contents
BUILDSTDERR:     node_list = object_renderer.render(context.node_stack[0], context)
BUILDSTDERR:   File "../breathe/renderer/sphinxrenderer.py", line 1203, in render
BUILDSTDERR:     result = method(self, node)
BUILDSTDERR:   File "../breathe/renderer/sphinxrenderer.py", line 366, in visit_doxygen
BUILDSTDERR:     nodelist.extend(self.render(compound))
BUILDSTDERR:   File "../breathe/renderer/sphinxrenderer.py", line 1203, in render
BUILDSTDERR:     result = method(self, node)
BUILDSTDERR:   File "../breathe/renderer/sphinxrenderer.py", line 1135, in dispatch_compound
BUILDSTDERR:     return self.visit_compound(node)
BUILDSTDERR:   File "../breathe/renderer/sphinxrenderer.py", line 410, in visit_compound
BUILDSTDERR:     name, kind)
BUILDSTDERR:   File "../breathe/renderer/sphinxrenderer.py", line 390, in render_signature
BUILDSTDERR:     nodes = self.run_domain_directive(kind, self.context.directive_args[1])
BUILDSTDERR:   File "../breathe/renderer/sphinxrenderer.py", line 268, in run_domain_directive
BUILDSTDERR:     nodes = domain_directive.run()
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/domains/cpp.py", line 6542, in run
BUILDSTDERR:     return super().run()
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/directives/__init__.py", line 164, in run
BUILDSTDERR:     name = self.handle_signature(sig, signode)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/domains/cpp.py", line 6550, in handle_signature
BUILDSTDERR:     ast = self.parse_definition(parser)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/domains/cpp.py", line 6509, in parse_definition
BUILDSTDERR:     return parser.parse_declaration(self.object_type, self.objtype)
BUILDSTDERR:   File "/usr/lib/python3.7/site-packages/sphinx/domains/cpp.py", line 6248, in parse_declaration
BUILDSTDERR:     raise Exception('Internal error, unknown directiveType "%s".' % directiveType)
BUILDSTDERR: Exception: Internal error, unknown directiveType "interface".
make[1]: Leaving directory '/builddir/build/BUILD/breathe-4.7.3/documentation'

Comment 3 Miro Hrončok 2019-03-27 16:50:51 UTC
Ok, going to temporary skip the docs.


Note You need to log in before you can comment on or make changes to this bug.